langcode: en
status: true
dependencies: {  }
id: h4c_group_content_event
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - CSV
migration_group: h4c_event_import
label: 'H4C CSV Group Content Migration Event'
process:
  label: title
  type:
    plugin: default_value
    default_value: group_content_type_a157afc45d4e0
  gid:
    - 
      plugin: skip_on_empty
      method: row
      source: groups
      message: 'Field group is missing'
    -
      plugin: explode
      source: groups
      delimiter: ;
    -
      plugin: extract
      # In case of multiple groups, take only first value
      index:
        - '0'
    -
      plugin: migration_lookup
      # Look up group id in h4c_group
      migration: h4c_group
      no_stub: true
  entity_id:
    plugin: migration_lookup
    # Look up id of event
    migration: h4c_event
    no_stub: true
    source: id
  label: title
destination:
  plugin: 'entity:group_content'
migration_dependencies:
  optional:
    - h4c_group
    - h4c_event
